# std::strstream::pcount

From cppreference.com
< cpp‎ | io‎ | strstream

int pcount() const; |  |

Returns the number of characters that were output in the put area of the associated std::strstreambuf. Effectively calls rdbuf()->pcount()

### Parameters

(none)

### Return value

The number of characters in the put area, or zero if nothing was output.

### Example

Run this code

    #include <strstream>
    #include <iostream>

    int main()
    {
        std::strstream dyn; // dynamically-allocated output buffer
        dyn << "Test: " << 1.23 << std::ends;
        std::cout << "The size of the output is " << dyn.pcount()
                  << " and it holds \"" << dyn.str() << "\"\n";
        dyn.freeze(false);

        char buf[10];
        std::strstream user(buf, 10); // user-provided output buffer
        user << 1.23; // note: no std::ends
        std::cout.write(buf, user.pcount());
        std::cout << '\n';
    }

Output:

    The size of the output is 11 and it holds "Test: 1.23"
    1.23

### See also

pcount | returns the next pointer minus the beginning pointer in the output sequence: the number of characters written (public member function of `std::strstreambuf`)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/io/strstream/pcount&oldid=63931"